Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl

<DefaultClassOptions()>
<NavigationItem("GeneralStock")>
Public Class NumberGeneratorSemafor
    Inherits BaseObject
    Private _NumberGenerator As NumberGenerator
    Private _YearString As String
    Private _MonthString As String
    Private _SerialNumber As Long
    Private _NewNumberPerMonth As Boolean
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property NumberGenerator() As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(ByVal value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    Property YearString As String
        Get
            Return _YearString
        End Get
        Set(ByVal value As String)
            SetPropertyValue("YearString", _YearString, value)
        End Set
    End Property
    Property MonthString As String
        Get
            Return _MonthString
        End Get
        Set(value As String)
            SetPropertyValue("MonthString", _MonthString, value)
        End Set
    End Property
    Property SerialNumber As Long
        Get
            Return _SerialNumber
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("SerialNumber", _SerialNumber, value)
        End Set
    End Property
    Property NewNumberPerMonth As Boolean
        Get
            Return _NewNumberPerMonth
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("NewNumberPerMonth", _NewNumberPerMonth, value)
        End Set
    End Property
End Class
